<template>
  <div id="navbar">
    <div style="position: relative">
        <label v-if="user" class="user-name" @click="showMenu">{{ user.first_name + ' ' + user.last_name }}</label>
        <label v-else class="user-name" @click="showMenu">Admin</label>
        <UserMenu v-show="menuShow" @onLogOut="logOut"/>
    </div>
  </div>
</template>

<script>
import UserMenu from '@/components/UserMenu.vue'

export default {
  name: "NavBar",
  components: {
    UserMenu
  },
  data(){
    return {
      menuShow: false,
      user: this.$store.getters.getUser,
    }
  },
  methods: {    
    showMenu(){
      this.menuShow = !this.menuShow
    },
    logOut(){
      this.menuShow = false
    }
  },
}
</script>

<style scoped>
#navbar {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 10px;
  background: white;
  width: calc(100% - 20px);
  height: fit-content;
  box-shadow: 0 5px 10px #ddd;
  justify-content: flex-end;
}

.user-name:hover {
  cursor: pointer;
}

</style>